
Redmine - Defect #16655

start_date not set despite settings[default_issue_start_date_to_creation_date] being set.

2014-04-14 08:38 - Christoffer L

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 2.5.2   

Resolution: Fixed Affected version: 2.5.1

Description

I'm using rdm-mailhandler.rb with a postfix virtual mailbox-handler.

And as subject says start_date is not being set when an issue is created from mail.

I am unsure on where to apply a patch, and how exactly it should be applied.

I think that the setting[default_issue_start_date_to_creation_date] should be applied to an issue that is created via

rdm-mailhandler.rb.

Environment:

  Redmine version                2.5.1.stable

  Ruby version                   1.9.3-p0 (2011-10-30) [x86_64-linux]

  Rails version                  3.2.17

  Environment                    production

  Database adapter               Mysql2

SCM:

  Git                            1.7.9.5

  Filesystem

Associated revisions

Revision 13104 - 2014-04-26 08:57 - Jean-Philippe Lang

Set default start date on issues created by email if default_issue_start_date_to_creation_date is set (#16655).

Revision 13156 - 2014-05-24 18:30 - Jean-Philippe Lang

Merged r13104 (#16655).

History

#1 - 2014-04-26 08:57 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.2

- Resolution set to Fixed

Fixed in r13104.

#2 - 2014-05-24 18:30 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
